Subject: Re: [RFC] Limiting charge current on Droid 4 (and N900)

From: Pavel Machek <[email-masked]>
Date: Thu, 20 Aug 2020 08:58:56 +0200

Hi!

> > > Droid 4 has same problem as N900: it is often neccessary to manually
> > > tweak current draw from USB, for example when using thin charging cable.
> > > 
> > > N900 creates unique attribute by hand, but I believe
> > > POWER_SUPPLY_PROP_INPUT_CURRENT_LIMIT looks suitable. (Should N900 be
> > > converted?)
> > > 
> > > Comments? Would the patch be acceptable after fixing whitespace?
> > 
> > Looks OK to me. Until we have better charger vs host vs usb3 charging hub
> > detection in place this seems like a good thing to do.
> 
> FYI, I'm cleaning up the pending charger and battery patches to send out
> for review. So that includes my earlier RFC battery status patches, and
> Spinal's additions, and this patch. It will likely be several days before
> I have the series ready for posting though.

Thanks for heads-up.

I had issue when I could not charge _empty_ droid4 battery from
powerbank. Green light was blinking and current was going up and down
but never stabilized. I thought I had dmesg from that but can't find
it now :-(.

Plus, I left D4 on charger overnight, and found battery empty in the
morning. It apparently charged in the evening but then discharged.

Best regards,
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel